AlterLabAlterLab
PricingComparePlaygroundBlogDocsChangelog
    AlterLabAlterLab
    PricingComparePlaygroundBlogDocsChangelog
    IntroductionQuickstartInstallationYour First Request
    REST APICrawl APIMap APISearch APISERP APINewExtract APIAIJob PollingAPI KeysSessions APINewEnterprise APIEnterprise
    AccountAutoAlertsAutoAuthAutoBillingAutoCrawlAutoExtractAutoIntegrationsAutoKeysAutoMapAutoMonitorsAutoOrganizationsAutoSchedulesAutoScrapeAutoSearchAutoSessionsAutoUser WebhooksAutoV1 EndpointsAutoWebhooksAuto
    OverviewPythonNode.js
    JavaScript RenderingOutput FormatsPDF & OCRCachingWebhooksJSON Schema FilteringWebSocket Real-TimeBring Your Own ProxyProAuthenticated ScrapingNewHTTP Methods & BodiesNewStructured ExtractionAIWeb SearchSite MappingWeb CrawlingBatch ScrapingSchedulerChange DetectionCloud Storage ExportSpend LimitsOrganizations & TeamsAlerts & NotificationsExtraction ProfilesAIBYOK ExtractionAIOAuth2 Machine-to-MachineSupport & TicketsUnsupported Targets
    Structured ExtractionAIE-commerce ScrapingNews MonitoringPrice MonitoringMulti-Page CrawlingMonitoring DashboardAI Agent / MCPMCPAI Research AgentAISite CrawlingData Pipeline to Cloud
    E-commerceLead GenerationChange MonitoringRAG & AI PipelinesAIResearch
    PricingRate LimitsError CodesChangelogVersioning
    From FirecrawlFrom ApifyFrom ScrapingBee / ScraperAPIFrom Crawl4AIFrom SpiderFirecrawl v0 API ReferenceLegacy
    OverviewMCP ServerAIn8n NodeLangChainAICrewAIAILlamaIndexAISupabaseChrome ExtensionSoon
    PlaygroundPricingStatus

    5,000 free requests · No credit card

    API Reference
    Auto-generated

    User Webhooks

    API reference for user webhooks endpoints.

    Auto-generated

    This page was generated from the OpenAPI spec. Runmake generate-docs to refresh after spec changes.

    GET /api/v1/user-webhooks/{webhook_id}

    GET
    /api/v1/user-webhooks/{webhook_id}

    Get Webhook

    Parameters

    NameTypeRequiredDescription
    webhook_idstring
    Required
    Webhook ID
    X-Organization-IdstringOptionalX-Organization-Id

    Request Example

    Bash
    curl -X GET https://api.alterlab.io/api/v1/user-webhooks/<webhook_id> \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "webhook": "example",
      "recent_deliveries": [],
      "stats": {}
    }

    PUT /api/v1/user-webhooks/{webhook_id}

    PUT
    /api/v1/user-webhooks/{webhook_id}

    Update Webhook

    Parameters

    NameTypeRequiredDescription
    webhook_idstring
    Required
    Webhook ID
    X-Organization-IdstringOptionalX-Organization-Id
    namestringOptionalname
    urlstringOptionalurl
    eventsstring[]Optionalevents
    is_activebooleanOptionalis_active

    Request Example

    Bash
    curl -X PUT https://api.alterlab.io/api/v1/user-webhooks/<webhook_id> \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "id": "example",
      "name": "example",
      "url": "example",
      "events": [],
      "is_active": true,
      "failure_count": 0
    }

    DELETE /api/v1/user-webhooks/{webhook_id}

    DELETE
    /api/v1/user-webhooks/{webhook_id}

    Delete Webhook

    Parameters

    NameTypeRequiredDescription
    webhook_idstring
    Required
    Webhook ID
    X-Organization-IdstringOptionalX-Organization-Id

    Request Example

    Bash
    curl -X DELETE https://api.alterlab.io/api/v1/user-webhooks/<webhook_id> \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "status": "ok"
    }
    Last updated: June 2026

    On this page